  *,
  *::after,
  *::before {
    box-sizing: border-box;
  }

  :root {
    font: 1.2em/1.4 Arial, Helvetica, sans-serif;
  }

  body {
    padding: 0;
    margin: 0;
  }

  header {
    background-color: #333;
    color: #fff;
    border: 5px solid #000;
  }

  header ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }

  header a {
    color: #fff;
    text-decoration: none;
    display: block;
    padding: 0.5em 1em;
    border-top: 1px solid #999;
  }

  header .title {
    font-size: 150%;
    font-style: italic;
    font-weight: bold;
    padding: 1em;
  }

  main {
    padding: 0 1em;
  }

  .cards {
    list-style: none;
    margin: 0;
    padding: 0;
  }

  .cards li {
    border: 5px solid #000;
    margin-bottom: 1em;
  }

  .cards h2 {
    background-color: #333;
    color: #fff;
    margin: 0;
    padding: 0.5em 1em;
  }

  .cards .inner {
    padding: 0.5em 1em;
  }

  .sidebar {
    background-color: #333;
    border: 5px solid #000;
    padding: 0.5em 1em;
    color: #fff;
  }

  .container {
    max-width: 80rem;
    padding-inline: 1rem;
    margin: auto;

  }

  @media (min-width: 40rem) {
    header div {
      display: flex;
      flex: 1 1 auto;

      justify-content: space-between;
      justify-items: center;

      nav {
        align-self: center;

        ul {
          display: flex;
          flex: 1 1 auto;
          list-style: none;


          a {
            background-color: #333;
            border: none;
          }
        }
      }
    }


    .cards {
      display: flex;
      flex: 1 1 auto;
      flex-wrap: wrap;
      gap: 1rem;

      li {
        flex: 0 0 16rem;
      }

    }

    body {
      display: flex;
      flex: 1 1 auto;
      flex-direction: column;
      gap: 1rem;
      height: 100vh;

      main {
        display: flex;
        flex: 1 1 auto;
        padding-block-end: 1rem;

        article {
          flex: 1 1 50rem;

          p {
            max-width: 90%;
          }
        }

        aside {
          flex: 0 0 20rem;
        }
      }
    }
  }
